# norootforbuild

Name:			nas
Version:		1.9.2
Release:		3.13
Summary:		Network Audio System - a portable, network-transparent audio system
Group:			Productivity/Multimedia/Sound/Utilities
License:		see Readme
Url:			http://www.radscan.com/nas.html
# http://prdownloads.sourceforge.net/nas/nas-%{version}.src.tar.gz
Source:			nas-%{version}.src.tar.bz2
Source90:		nas-rpmlintrc
Patch1:         nas-fix_linking.patch
Patch2:         nas-fixes.patch
BuildRequires:	bison
BuildRequires:	flex
BuildRequires:	gcc-c++
BuildRequires:	update-desktop-files
BuildRequires:	xorg-x11-devel xorg-x11-util-devel xorg-x11-libXau-devel
BuildRequires:	zlib-devel
Requires:		%{name}d = %{version}
Requires:		%{name}-utils = %{version}
BuildRoot:		%{_tmppath}/%{name}-%{version}-build

%description
The Network Audio System service is a network-transparent system
developed at Network Computing Devices for playing, recording, and
manipulating audio data over a network. It uses the client/server
model to separate application code from the software drivers needed
to control specific audio input and output devices.

%package -n nasd
Summary:	Network Audio System Daemon
Group:		Productivity/Multimedia/Sound/Utilities

%description -n nasd
The Network Audio System service is a network-transparent system
developed at Network Computing Devices for playing, recording, and
manipulating audio data over a network. It uses the client/server
model to separate application code from the software drivers needed
to control specific audio input and output devices.

%package -n libaudio2
Summary:	Network Audio System client library
Group:		Productivity/Multimedia/Sound/Utilities
Provides:	libaudio = 1.9a
Obsoletes: 	libaudio <= 1.9a

%description -n libaudio2
The Network Audio System service is a network-transparent system
developed at Network Computing Devices for playing, recording, and
manipulating audio data over a network. It uses the client/server
model to separate application code from the software drivers needed
to control specific audio input and output devices.

This package contains NAS client library.

%package -n libaudio-devel
Summary:	NAS client library - development headers
Group:		Development/Languages/C and C++
Requires:	libaudio2 = %{version}

%description -n libaudio-devel
The Network Audio System service is a network-transparent system
developed at Network Computing Devices for playing, recording, and
manipulating audio data over a network. It uses the client/server
model to separate application code from the software drivers needed
to control specific audio input and output devices.

This package contains development headers for NAS client library.

%package utils
Summary:	Network Audio System utilities
Group:		Productivity/Multimedia/Sound/Utilities

%description utils
The Network Audio System service is a network-transparent system
developed at Network Computing Devices for playing, recording, and
manipulating audio data over a network. It uses the client/server
model to separate application code from the software drivers needed
to control specific audio input and output devices.

This package contains miscellaneous NAS client utilities.

%package examples
Summary:	Network Audio System examples
Group:		Productivity/Multimedia/Sound/Utilities
#Requires:	libaudio2 = %{version}

%description examples
The Network Audio System service is a network-transparent system
developed at Network Computing Devices for playing, recording, and
manipulating audio data over a network. It uses the client/server
model to separate application code from the software drivers needed
to control specific audio input and output devices.

%package doc
Summary:	Network Audio System documentation
Group:		Documentation/Other

%description doc
The Network Audio System service is a network-transparent system
developed at Network Computing Devices for playing, recording, and
manipulating audio data over a network. It uses the client/server
model to separate application code from the software drivers needed
to control specific audio input and output devices.


%prep
%setup -q
%patch1
%patch2

%build
xmkmf
find . -name Makefile -exec %__sed -i 's/^\(\s*CDEBUGFLAGS\s*=.*\)/\1 $(RPM_OPT_FLAGS)/' {} \;

pushd config
    LDFLAGS="-lXau" \
	%configure \
		--with-gnu-ld \
		--with-pic
popd

%if %suse_version > 1100
# to pass rpmlint ...
# ... there are a lot of return data in void functions, etc ...
find . -name Makefile -exec %__sed -i 's|-Wall||g' {} \;
%endif
%__make %{?jobs:-j%{jobs}} World \
    EXTRA_LOAD_FLAGS="`pkg-config --libs xau`"

%install
%__install -dm 755 %{buildroot}%{_sysconfdir}/X11/xinit/xinitrc.d

%makeinstall
%__make install.man \
	DESTDIR=%{buildroot} \
	MANPATH=%{_mandir}

%__mv %{buildroot}%{_sysconfdir}/%{name}/nasd.conf.eg \
	%{buildroot}%{_sysconfdir}/%{name}/nasd.conf

%__cat > nasd.xinit << EOF
#! /bin/sh
[ -z "$DISABLE_NAS_DAEMON" ] && %{_bindir}/nasd -b
EOF
%__install -m 755 nasd.xinit \
	%{buildroot}%{_sysconfdir}/X11/xinit/xinitrc.d/nasd

# menu-entry
%__cat > aupanel.desktop << EOF
[Desktop Entry]
#Encoding=UTF-8
Comment=Network Audio System device configuration panel
Name=Network Audio System - configuration panel
GenericName=Network Audio System - configuration panel
Type=Application
Exec=aupanel
#Icon=
Categories=AudioVideo;Music;
EOF
%suse_update_desktop_file -i aupanel AudioVideo Music

%__cat > audemo.desktop << EOF
[Desktop Entry]
#Encoding=UTF-8
Comment=Network Audio System record and play demo
Name=Network Audio System - record and play demo
GenericName=Network Audio System - record and play demo
Type=Application
Exec=audemo
#Icon=
Categories=AudioVideo;Music;
EOF
%suse_update_desktop_file -i audemo AudioVideo Music

%__cat > auedit.desktop << EOF
[Desktop Entry]
#Encoding=UTF-8
Comment=Network Audio System sound recording and editing program
Name=Network Audio System - Editor
GenericName=Network Audio System - Editor
Type=Application
Exec=auedit
#Icon=
Categories=AudioVideo;Music;
EOF
%suse_update_desktop_file -i auedit AudioVideo Music

%__cat > auphone.desktop << EOF
[Desktop Entry]
#Encoding=UTF-8
Comment=Network Audio System simple telephone client
Name=Network Audio System - telephone client
GenericName=Network Audio System - telephone client
Type=Application
Exec=auphone
#Icon=
Categories=AudioVideo;Music;
EOF
%suse_update_desktop_file -i auphone AudioVideo Music

%__cat > auwave.desktop << EOF
[Desktop Entry]
#Encoding=UTF-8
Comment=Network Audio System wave generator
Name=Network Audio System - wave generator
GenericName=Network Audio System - wave generator
Type=Application
Exec=auwave
#Icon=
Categories=AudioVideo;Music;
EOF
%suse_update_desktop_file -i auwave AudioVideo Music

# icon
#%__install -dm 755 %{buildroot}%{_datadir}/pixmaps
#%__install -m 644 xxx.png \
#	%{buildroot}%{_datadir}/pixmaps/%{name}.png

# remove satic lib
%__rm %{buildroot}%{_libdir}/*.a

%clean
[ -d "%{buildroot}" -a "%{buildroot}" != "" ] && %__rm -rf "%{buildroot}"

%post -n libaudio2 -p /sbin/ldconfig

%postun -n libaudio2 -p /sbin/ldconfig

%files -n nasd
%defattr(-,root,root)
%doc %{_mandir}/man1/nasd.1*
%doc %{_mandir}/man5/nasd.conf.5*
%dir %{_sysconfdir}/nas
%config(noreplace) %{_sysconfdir}/nas/nasd.conf
%dir %{_sysconfdir}/X11/xinit
%dir %{_sysconfdir}/X11/xinit/xinitrc.d
%{_sysconfdir}/X11/xinit/xinitrc.d/nasd
%{_bindir}/nasd

%files -n libaudio2
%defattr(-,root,root)
%{_libdir}/libaudio.so.2
%{_libdir}/libaudio.so.2.*
/usr/lib/X11/AuErrorDB

%files -n libaudio-devel
%defattr(-,root,root)
%doc %{_mandir}/man3/*
%{_includedir}/audio
%{_libdir}/libaudio.so

%files utils
%defattr(-,root,root)
%doc %{_mandir}/man1/au*
%doc %{_mandir}/man1/%{name}.1*
%{_bindir}/au*
%{_datadir}/applications/*.desktop
#%{_datadir}/pixmaps/%{name}.png

%files examples
%defattr(-,root,root)
%doc %{_mandir}/man1/checkmail.1*
%doc %{_mandir}/man1/issndfile.1*
%doc %{_mandir}/man1/playbucket.1*
%doc %{_mandir}/man1/soundtoh.1*
%{_bindir}/checkmail
%{_bindir}/issndfile
%{_bindir}/playbucket
%{_bindir}/soundtoh

%files doc
%defattr(-,root,root)
%doc BUILDNOTES FAQ HISTORY README README.CYGWIN RELEASE TODO
%doc doc/actions doc/protocol.txt
%doc doc/*.ps
%doc doc/html
%doc doc/pdf

%changelog
